---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: "{{ gluster_provisioner_name }}"
  namespace: "{{ gluster_provisioner_namespace }}"
rules:
  - apiGroups: [""]
    resources: ["secrets"]
    verbs: ["create", "get", "delete"]
  - apiGroups: [""]
    resources: ["endpoints"]
    verbs: ["get", "list", "watch", "create", "update", "patch"]
